{
    attributes = (
        {
            columnName = "FON_CATEGORIE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_categorie"; }; 
            name = fonCategorie; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FON_DESCRIPTION"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_description"; }; 
            name = fonDescription; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "FON_ID_INTERNE"; 
            externalType = VARCHAR2; 
            name = fonIdInterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "FON_LIBELLE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_Libelle"; }; 
            name = fonLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "FON_ORDRE"; 
            externalType = NUMBER; 
            name = fonOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FON_SPEC_EXERCICE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_spec_gestion"; }; 
            name = fonSpecExercice; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FON_SPEC_GESTION"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_spec_gestion"; }; 
            name = fonSpecGestion; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "FON_SPEC_ORGAN"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "fon_spec_gestion"; }; 
            name = fonSpecOrgan; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TYap_ID"; 
            externalType = NUMBER; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        fonIdInterne, 
        fonLibelle, 
        fonOrdre, 
        fonSpecExercice, 
        fonSpecGestion, 
        fonSpecOrgan, 
        tyapId
    ); 
    className = "org.cocktail.jefyadmin.server.metier.EOFonction"; 
    classProperties = (
        fonCategorie, 
        fonDescription, 
        fonIdInterne, 
        fonLibelle, 
        fonSpecExercice, 
        fonSpecGestion, 
        fonSpecOrgan, 
        typeApplication
    ); 
    externalName = "JEFY_ADMIN.FONCTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            fonCategorie, 
            fonDescription, 
            fonIdInterne, 
            fonLibelle, 
            fonSpecExercice, 
            fonSpecGestion, 
            fonSpecOrgan, 
            typeApplication
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOFonction"; 
        "_nameInObjectStore" = Fonction; 
    }; 
    isReadOnly = Y; 
    name = Fonction; 
    primaryKeyAttributes = (fonOrdre); 
    relationships = (
        {
            destination = TypeApplication; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = typeApplication; 
        }
    ); 
}
